Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1011500 (qt5-qtconfiguration) - Review Request: qt5-qtconfiguration - Qt5 - QtConfiguration module
Summary: Review Request: qt5-qtconfiguration - Qt5 - QtConfiguration module
Keywords:
Status: CLOSED NEXTRELEASE
Alias: qt5-qtconfiguration
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-09-24 12:41 UTC by Lubomir Rintel
Modified: 2013-11-08 17:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-08 17:55:03 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2013-09-24 12:41:56 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/qt5-qtconfiguration.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/qt5-qtconfiguration-0.1.0-1.fc20.src.rpm

Description:

Settings API with change notifications.

Comment 1 Christopher Meng 2013-09-24 12:55:27 UTC
BuildRequires:  pkgconfig(dconf)

can be dconf-devel, no need to use pkgconfig everywhere.

---

Use github tag

---

No license as %doc

---

Why

BuildRequires:  qt5-qtbase-devel >= %{version} ??

Comment 2 Lubomir Rintel 2013-09-24 16:03:36 UTC
(In reply to Christopher Meng from comment #1)
> BuildRequires:  pkgconfig(dconf)
> 
> can be dconf-devel, no need to use pkgconfig everywhere.

config.tests/dconf/dconf.pro seems to use pkgconfig to locate the package.
This is more robust.

> Use github tag

I do (v0.1.0) and am not sure I understand what you really mean.

> No license as %doc

Will fix.

> Why
> 
> BuildRequires:  qt5-qtbase-devel >= %{version} ??

The version? I copied it from another qt5 package.
I'll remove that.

Comment 4 Christopher Meng 2013-09-25 23:46:14 UTC
qt5-qtconfiguration.i686: W: unused-direct-shlib-dependency /usr/lib/libQt0Configuration.so.0.1.0 /lib/libgio-2.0.so.0
qt5-qtconfiguration.i686: W: unused-direct-shlib-dependency /usr/lib/libQt0Configuration.so.0.1.0 /lib/libdbus-1.so.3
qt5-qtconfiguration.i686: W: unused-direct-shlib-dependency /usr/lib/libQt0Configuration.so.0.1.0 /lib/libpthread.so.0
qt5-qtconfiguration.i686: W: unused-direct-shlib-dependency /usr/lib/libQt0Configuration.so.0.1.0 /lib/libm.so.6
qt5-qtconfiguration.i686: W: unused-direct-shlib-dependency /usr/lib/libQt0Configuration.so.0.1.0 /lib/libgcc_s.so.1



----

License check shows:

BSD (3 clause)
--------------
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/qtconfiguration-0.1.0/config.tests/dconf-dbus-1/main.cpp
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/qtconfiguration-0.1.0/config.tests/dconf/main.cpp
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/qtconfiguration-0.1.0/examples/configuration/metaobject/main.cpp
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/qtconfiguration-0.1.0/examples/configuration/metaobject/settings.cpp
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/qtconfiguration-0.1.0/examples/configuration/metaobject/settings.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/qtconfiguration-0.1.0/examples/configuration/metaobject/settingstest.cpp
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/qtconfiguration-0.1.0/examples/configuration/metaobject/settingstest.h
/var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/qtconfiguration-0.1.0/examples/configuration/schemas/main.cpp

Seems examples are BSDed.

If you don't ship them in the RPM, drop them and also the BSD license in %doc.

Comment 6 Lubomir Rintel 2013-11-06 19:25:54 UTC
Ping?

Comment 7 Christopher Meng 2013-11-08 14:11:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "LGPL (v2)", "LGPL (v2.1 or later)". Detailed output of
     licensecheck in
     /home/rpmaker/Desktop/qt5-qtconfiguration/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: qt5-qtconfiguration-0.1.0-3.fc21.i686.rpm
          qt5-qtconfiguration-devel-0.1.0-3.fc21.i686.rpm
          qt5-qtconfiguration-0.1.0-3.fc21.src.rpm
qt5-qtconfiguration-devel.i686: W: no-documentation
qt5-qtconfiguration.src: W: invalid-url Source0: qtconfiguration-0.1.0.tar.gz
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint qt5-qtconfiguration qt5-qtconfiguration-devel
qt5-qtconfiguration-devel.i686: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
qt5-qtconfiguration (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQt5Core.so.5
    libQt5DBus.so.5
    libc.so.6
    libdconf-dbus-1.so.0
    libdconf.so.1
    libglib-2.0.so.0
    libgobject-2.0.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    qt5-qtbase(x86-32)
    rtld(GNU_HASH)

qt5-qtconfiguration-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libQt0Configuration.so.0
    pkgconfig(Qt5Core)
    pkgconfig(Qt5DBus)
    qt5-qtbase-devel(x86-32)
    qt5-qtconfiguration(x86-32)



Provides
--------
qt5-qtconfiguration:
    libQt0Configuration.so.0
    qt5-qtconfiguration
    qt5-qtconfiguration(x86-32)

qt5-qtconfiguration-devel:
    pkgconfig(Qt0Configuration)
    qt5-qtconfiguration-devel
    qt5-qtconfiguration-devel(x86-32)



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn qt5-qtconfiguration-0.1.0-3.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

----------------------------
PACKAGE APPROVED.

Comment 8 Lubomir Rintel 2013-11-08 16:16:39 UTC
New Package SCM Request
=======================
Package Name: qt5-qtconfiguration
Short Description: Qt5 - QtConfiguration module
Owners: lkundrak cicku rdieter than jreznik kkofler ltinkl rnovacek
Branches: f18 f19 f20 el6

Comment 9 Gwyn Ciesla 2013-11-08 17:05:37 UTC
Git done (by process-git-requests).

Comment 10 Lubomir Rintel 2013-11-08 17:55:03 UTC
Imported and built.
Thank you!


Note You need to log in before you can comment on or make changes to this bug.